## python-btrfs 13

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-btrfs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-btrfs.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-btrfs"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-btrfs"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-btrfs 8

=== debian/changelog ===
python-btrfs (8-1) unstable; urgency=medium

  * New release v8 (Closes: #868370)
  * debian/control: Update to standards 4.0.0

 -- Hans van Kranenburg <hans@knorrie.org>  Tue, 18 Jul 2017 23:24:01 +0200

python-btrfs (7-1) unstable; urgency=medium

  * New upstream release v7
  * debian/control: Add Homepage field
  * debian/python3-btrfs.examples: Include README for examples

 -- Hans van Kranenburg <hans@knorrie.org>  Sun, 28 May 2017 19:17:10 +0200

python-btrfs (6-2) unstable; urgency=medium

  * Initial release (Closes: #858753).

 -- Hans van Kranenburg <hans@knorrie.org>  Sun, 26 Mar 2017 23:12:59 +0200

=== debian/control ===
Source: python-btrfs
Section: python
Priority: optional
Maintainer: Hans van Kranenburg <hans@knorrie.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
Standards-Version: 4.0.0
Homepage: https://github.com/knorrie/python-btrfs/

Package: python3-btrfs
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: python module to inspect btrfs filesystems
 Currently, the primary goal of this module is to be able to inspect the
 internals of an existing filesystem for educational purposes.
 .
 A second goal is to provide a nicer way for automating administration tasks
 and writing monitoring scripts by being able to just programmatically access
 the needed information, instead of having to spend most of the time on parsing
 human readable output from other btrfs tools.

Package: munin-plugins-btrfs
Architecture: all
Depends: ${misc:Depends}, munin-node, python3, python3-btrfs (>= ${binary:Version})
Section: net
Description: munin plugin for monitoring btrfs filesystems
 This munin plugin uses the python btrfs module to retrieve information about
 disk space allocation and usage.
 .
 Traditional space usage monitoring based on the output of df is not sufficient
 when using btrfs. This plugin takes allocated but unused disk space, and
 unallocatable disk space (for example when mixing different sized disks with
 raid profiles) into account. It is meant to be used as an addition to using a
 regular disk usage plugin, based on df output.

Package: monitoring-plugins-btrfs
Architecture: all
Depends: ${misc:Depends}, python3, python3-btrfs (>= ${binary:Version})
Section: net
Description: btrfs plugin for nagios compatible monitoring systems
 This nagios compatible monitoring plugin will check available space and error
 statistics of a btrfs filesystem.
 .
 Traditional space usage monitoring based on the output of df is not sufficient
 when using btrfs. This plugin takes allocated but unused disk space, and
 unallocatable disk space (for example when mixing different sized disks with
 raid profiles) into account. It is meant to be used as an addition to using a
 regular disk usage plugin, based on df output.
 .
 Additionally, the check keeps an eye on device error stats and will report if
 any of the counters (read errors, write errors, etc) of a device that is part
 of the filesystem is not zero.

## python-btrfs 9

=== debian/changelog ===
python-btrfs (9-1) unstable; urgency=medium

  * New release v9
  * debian/control: Update to standards 4.1.1

 -- Hans van Kranenburg <hans@knorrie.org>  Fri, 24 Nov 2017 14:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Hans van Kranenburg <hans@knorrie.org>
 Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/knorrie/python-btrfs/
 
 Package: python3-btrfs

## python-btrfs 11

=== debian/changelog ===
python-btrfs (11-2) unstable; urgency=medium

  * d/patches: Fix crash because of stray underscores (Closes: #925267)
  * d/patches: space-calculator: quickfix crash when using raid5
    (Closes: #925271)

 -- Hans van Kranenburg <hans@knorrie.org>  Fri, 22 Mar 2019 01:12:12 +0100

python-btrfs (11-1) unstable; urgency=medium

  * New release v11
  * Install "promoted" examples and man pages.

 -- Hans van Kranenburg <hans@knorrie.org>  Thu, 28 Feb 2019 19:42:36 +0100

python-btrfs (10-1) unstable; urgency=medium

  * New release v10
  * debian/copyright: change to LGPL-3
  * debian/copyright: add license for sphinx theme
  * d/control: munin/nagios: depend on same version
  * debian/control: update description
  * debian/control: bump Standards-Version to 4.3.0

 -- Hans van Kranenburg <hans@knorrie.org>  Fri, 25 Jan 2019 20:34:00 +0100

python-btrfs (9.1-1) unstable; urgency=medium

  * New release v9.1

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 22 Oct 2018 21:03:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Hans van Kranenburg <hans@knorrie.org>
 Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/knorrie/python-btrfs/
 
 Package: python3-btrfs
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Breaks: munin-plugins-btrfs (<< 10), monitoring-plugins-btrfs (<< 10)
 Description: python module to inspect btrfs filesystems
- Currently, the primary goal of this module is to be able to inspect the
- internals of an existing filesystem for educational purposes.
+ The primary goal of this module is to be able to inspect the internals of a
+ mounted, online, filesystem for educational purposes.
  .
  A second goal is to provide a nicer way for automating administration tasks
  and writing monitoring scripts by being able to just programmatically access
@@ -20,7 +21,7 @@
 
 Package: munin-plugins-btrfs
 Architecture: all
-Depends: ${misc:Depends}, munin-node, python3, python3-btrfs (>= ${binary:Version})
+Depends: ${misc:Depends}, munin-node, python3, python3-btrfs (= ${binary:Version})
 Section: net
 Description: munin plugin for monitoring btrfs filesystems
  This munin plugin uses the python btrfs module to retrieve information about
@@ -34,7 +35,7 @@
 
 Package: monitoring-plugins-btrfs
 Architecture: all
-Depends: ${misc:Depends}, python3, python3-btrfs (>= ${binary:Version})
+Depends: ${misc:Depends}, python3, python3-btrfs (= ${binary:Version})
 Section: net
 Description: btrfs plugin for nagios compatible monitoring systems
  This nagios compatible monitoring plugin will check available space and error

## python-btrfs 12

=== debian/changelog ===
python-btrfs (12-2) unstable; urgency=medium

  * I need to do a source only upload. DOH!

 -- Hans van Kranenburg <hans@knorrie.org>  Wed, 14 Oct 2020 16:24:46 +0200

python-btrfs (12-1) unstable; urgency=medium

  * New release v12
  * d/patches: remove obsolete patches
  * d/control: fix debhelper compatibility version
  * d/control: explicitly mention online filesystem
  * d/control: fix Python capitalization error

 -- Hans van Kranenburg <hans@knorrie.org>  Tue, 13 Oct 2020 20:54:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Hans van Kranenburg <hans@knorrie.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
 Standards-Version: 4.3.0
 Homepage: https://github.com/knorrie/python-btrfs/
 
@@ -10,7 +10,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Breaks: munin-plugins-btrfs (<< 10), monitoring-plugins-btrfs (<< 10)
-Description: python module to inspect btrfs filesystems
+Description: Python module to inspect an online btrfs filesystem
  The primary goal of this module is to be able to inspect the internals of a
  mounted, online, filesystem for educational purposes.
  .
@@ -24,7 +24,7 @@
 Depends: ${misc:Depends}, munin-node, python3, python3-btrfs (= ${binary:Version})
 Section: net
 Description: munin plugin for monitoring btrfs filesystems
- This munin plugin uses the python btrfs module to retrieve information about
+ This munin plugin uses the Python btrfs module to retrieve information about
  disk space allocation and usage.
  .
  Traditional space usage monitoring based on the output of df is not sufficient

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=btrfs
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-btrfs 13

=== debian/changelog ===
python-btrfs (13-1) unstable; urgency=medium

  * New release v13
  * debian/control: use the python3:any dependency for munin-plugins-btrfs and
    monitoring-plugins-btrfs since it's Architecture: all.

 -- Hans van Kranenburg <hans@knorrie.org>  Thu, 29 Apr 2021 15:03:54 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 Package: munin-plugins-btrfs
 Architecture: all
-Depends: ${misc:Depends}, munin-node, python3, python3-btrfs (= ${binary:Version})
+Depends: ${misc:Depends}, munin-node, python3:any, python3-btrfs (= ${binary:Version})
 Section: net
 Description: munin plugin for monitoring btrfs filesystems
  This munin plugin uses the Python btrfs module to retrieve information about
@@ -35,7 +35,7 @@
 
 Package: monitoring-plugins-btrfs
 Architecture: all
-Depends: ${misc:Depends}, python3, python3-btrfs (= ${binary:Version})
+Depends: ${misc:Depends}, python3:any, python3-btrfs (= ${binary:Version})
 Section: net
 Description: btrfs plugin for nagios compatible monitoring systems
  This nagios compatible monitoring plugin will check available space and error

## python-btrfs 14.1

=== debian/changelog ===
python-btrfs (14.1-2) unstable; urgency=medium

  * debian/control: actually really bump Standards-Version to 4.7.0 :|
  * debian/control: drop munin-node dependency for munin-plugins-btrfs, since
    it's not technically required and prevents the plugin to be used with
    munin-node-c. Thanks Marc Donges for the report. (Closes: #1079373)

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 26 Aug 2024 13:04:07 +0200

python-btrfs (14.1-1) unstable; urgency=medium

  * New release v14.1
  * debian/control: bump Standards-Version to 4.7.0

 -- Hans van Kranenburg <hans@knorrie.org>  Fri, 16 Aug 2024 18:11:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Hans van Kranenburg <hans@knorrie.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/knorrie/python-btrfs/
 
 Package: python3-btrfs
@@ -21,7 +21,7 @@
 
 Package: munin-plugins-btrfs
 Architecture: all
-Depends: ${misc:Depends}, munin-node, python3:any, python3-btrfs (= ${binary:Version})
+Depends: ${misc:Depends}, python3:any, python3-btrfs (= ${binary:Version})
 Section: net
 Description: munin plugin for monitoring btrfs filesystems
  This munin plugin uses the Python btrfs module to retrieve information about

## python-btrfs 15

=== debian/changelog ===
python-btrfs (15-1) unstable; urgency=medium

  * New release v15
  * debian/control: bump Standards-Version to 4.7.2

 -- Hans van Kranenburg <hans@knorrie.org>  Sat, 12 Apr 2025 00:09:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Hans van Kranenburg <hans@knorrie.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/knorrie/python-btrfs/
 
 Package: python3-btrfs
